Bug 1659777

Summary: Review Request: python-vconnector - vSphere Connector Module for Python
Product: [Fedora] Fedora Reporter: Raphael Groner <projects.rg>
Component: Package ReviewAssignee: Igor Gnatenko <i.gnatenko.brain>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i.gnatenko.brain, package-review
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: i.gnatenko.brain: fedora-review+
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-20 04:11:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1667641    
Bug Blocks: 1669793, 1700537    

Description Raphael Groner 2018-12-16 11:06:09 UTC
Spec URL: http://raphgro.fedorapeople.org/review/misc//python-vconnector.spec
SRPM URL: http://raphgro.fedorapeople.org/review/misc//python-vconnector-0.5.3-1.fc29.src.rpm

Description:

vConnector is a wrapper module around pyVmomi VMware vSphere bindings,
which provides methods¸ for connecting and retrieving of objects from
a VMware vSphere server.

The purpose of vConnector is to provide the basic primitives for
building complex applications. vConnector can also be used for
managing the user/pass/host credentials for your vSphere
environment using an SQLite database, which in turn can be shared
between multiple applications requiring access to your vSphere
environment through a common interface.

Comment 1 Raphael Groner 2018-12-16 11:06:12 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=31492981

Comment 2 Igor Gnatenko 2019-01-15 16:48:19 UTC
> %?python_enable_dependency_generator
%{?python_enable_dependency_generator}, please.

> %if 0%{?rhel} || 0%{?fedora} < 30
%if %{undefined __pythondist_requires}

Comment 3 Igor Gnatenko 2019-01-15 16:51:51 UTC
Apart from that, looks good.

Comment 5 Raphael Groner 2019-01-25 19:23:37 UTC
Maybe I'd drop the company name from summary and just use "vSphere" as the backend name?

Comment 7 Gwyn Ciesla 2019-01-25 22:02:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-vconnector

Comment 8 Raphael Groner 2019-01-25 22:22:06 UTC
In behalf of the still open dependency issue with epel7, I'll close here due to a successful build done in rawhide.

Comment 9 Raphael Groner 2019-04-16 16:46:56 UTC
There's some need to build in epel7, as well.

Comment 10 Raphael Groner 2019-04-16 16:51:20 UTC
epel7 requested: https://pagure.io/releng/fedora-scm-requests/issue/11131

Comment 11 Fedora Update System 2019-05-04 19:06:16 UTC
python-tabulate-0.8.3-7.el7 python-vconnector-0.5.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c0e21e7e78

Comment 12 Fedora Update System 2019-05-05 02:59:10 UTC
python-tabulate-0.8.3-7.el7, python-vconnector-0.5.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c0e21e7e78

Comment 13 Fedora Update System 2019-05-20 04:11:37 UTC
python-tabulate-0.8.3-7.el7, python-vconnector-0.5.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-08-01 11:24:18 UTC
FEDORA-EPEL-2019-bc3ebb55c2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bc3ebb55c2

Comment 15 Fedora Update System 2019-08-01 11:39:01 UTC
FEDORA-EPEL-2019-bc3ebb55c2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bc3ebb55c2

Comment 16 Fedora Update System 2019-08-02 01:06:31 UTC
python-vconnector-0.5.3-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bc3ebb55c2

Comment 17 Fedora Update System 2019-08-17 00:40:38 UTC
python-vconnector-0.5.3-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.